/*
 *   @(#) $Id: IoFilterImpl.java 165302 2005-04-29 12:53:46Z trustin $
 *
 *   Copyright 2004 The Apache Software Foundation
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package org.apache.mina.util;

import org.apache.mina.io.IoFilter;
import org.apache.mina.io.IoFilterAdapter;
import org.apache.mina.io.IoFilterChain;

/**
 * Bogus implementation of {@link IoFilter} to test
 * {@link IoFilterChain}.
 * 
 * @author Trustin Lee (trustin@apache.org)
 * @version $Rev: 165302 $, $Date: 2005-04-29 21:53:46 +0900 $
 */
public class IoFilterImpl extends IoFilterAdapter
{
    private final char c;

    public IoFilterImpl( char c )
    {
        this.c = c;
    }

    public int hashCode()
    {
        return c;
    }

    public boolean equals( Object o )
    {
        if( o == null )
            return false;
        if( ! ( o instanceof IoFilterImpl ) )
            return false;
        return this.c == ( ( IoFilterImpl ) o ).c;
    }

    public String toString()
    {
        return "" + c;
    }
}